# geos::operation::distance::ConnectedElementPointFilter Class Reference

Extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. More...

`#include <ConnectedElementPointFilter.h>`

Inheritance diagram for geos::operation::distance::ConnectedElementPointFilter:

List of all members.

## Public Member Functions

| ConnectedElementPointFilter (std::vector< const geom::Coordinate * > *newPts)
void | filter_ro (const geom::Geometry *geom)

## Static Public Member Functions

static std::vector< const geom::Coordinate * > * | getCoordinates (const geom::Geometry *geom)

## Detailed Description

Extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list.

## Member Function Documentation

static std::vector<const geom::Coordinate*>* geos::operation::distance::ConnectedElementPointFilter::getCoordinates | ( | const geom::Geometry * | geom ) | `[static]`

Returns a list containing a Coordinate from each Polygon, LineString, and Point found inside the specified geometry. Thus, if the specified geometry is not a GeometryCollection, an empty list will be returned.

The documentation for this class was generated from the following file:

- ConnectedElementPointFilter.h